proc/dec2base(dec,base)
	if(base>36 || base<2)
		return
	var/num
	while(dec >= base)
		if(dec % base > 9)
			num="[ascii2text(dec % base + 87)][num]"
		else
			num="[dec % base][num]"
		dec=round(dec / base)
	if(dec > 9)
		num="[ascii2text(dec + 87)][num]"
	else
		num="[dec][num]"
	return num

proc/base2dec(num,base)
	if(base>36 || base<2)
		return
	var/dec=0
	var/loops=1
	if(isnum(num))
		num=num2text(num)
	while(num)
		var/n=text2num(copytext(num,length(num)))
		if(isnull(n))
			n=text2ascii(lowertext(copytext(num,length(num)))) - 87
		dec+=n*loops
		num=copytext(num,1,length(num))
		loops=loops*base
	return text2num(dec)

proc/base2base(number,current_base,desired_base)
	if(current_base!=10)
		number=base2dec(number,current_base)
	else
		number=text2num(number)
	return dec2base(number,desired_base)